using System;

namespace TLS.Net.NativeAPI.SSL
{
    [Flags]
    public enum SslModes
    {
        ENABLE_PARTIAL_WRITE = 0x00000001,
        ACCEPT_MOVING_WRITE_BUFFER = 0x00000002,
        AUTO_RETRY = 0x00000004,
        NO_AUTO_CHAIN = 0x00000008,
        RELEASE_BUFFERS = 0x00000010,
        SEND_CLIENTHELLO_TIME = 0x00000020,
        SEND_SERVERHELLO_TIME = 0x00000040,
        SEND_FALLBACK_SCSV = 0x00000080,
        ASYNC = 0x00000100,
        NO_KTLS_TX = 0x00000200,
        DTLS_SCTP_LABEL_LENGTH_BUG = 0x00000400,
        NO_KTLS_RX = 0x00000800
    }
}